New FX-Conversion

Convert money from one currency to another using spot FX rates and, upon success the API will return the details of the completed conversion.

If you have an FX rate (fx_rate_id) obtained previously from the Get FX Rate API, you can use it for the conversion. If no fx_rate_id is provided, the platform will use the live rate for the conversion.

Most conversions are completed within 2 minutes or less. However, since Finmo uses live rates, conversions may not occur instantly on non-trading days. In such cases, Finmo will send an FX_CONVERSION_COMPLETE webhook notification once the conversion is completed.

Currently, Finmo does not support the cancellation of FX-Conversions. The platform operates on a good funds model, always checking the balance in the source currency before proceeding. Cancellation could result in a loss due to fluctuating spot rates.

Body Params
string
required

Source (sending) currency code. It has to be a valid ISO 4217 currency code.

string
required

Target (receiving) currency code. It has to be a valid ISO 4217 currency code.

number | null
required
≥ 1

Conditionally required: Either source_amount or target_amount is required, never both. Amount in source currency.

number | null
required
≥ 1

Conditionally required: Either source_amount or target_amount is required, never both. Amount in target currency.

string

FX Rate ID received in Get FX Rates API response.

string

A reference you can later use to identify this payment, such as an order number. Can only be alphanumeric and must be unique for Benefit.

string

Custom webhook url. If it is not provided, webhook will be triggered to the endpoint configured in the Dashboard.

metadata
object

Custom Data

Headers
string
required
string
enum
Defaults to application/json; charset=utf-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8
application/json